// Bootstrap variables
$white:    #fff !default;
$gray-100: #f8f9fa !default;
$gray-200: #e9ecef !default;
$gray-300: #dee2e6 !default;
$gray-400: #ced4da !default;
$gray-500: #adb5bd !default;
$gray-600: #6c757d !default;
$gray-700: #495057 !default;
$gray-800: #343a40 !default;
$gray-900: #212529 !default;
$black:    #000 !default;

$blue:    #1177d1 !default;
$indigo:  #6610f2 !default;
$purple:  #613d7c !default;
$pink:    #e83e8c !default;
$red:     #d43f3a !default;
$orange:  #f0ad4e !default;
$yellow:  #ff7518 !default;
$green:   #398439 !default;
$teal:    #20c997 !default;
$cyan:    #5bc0de !default;

$primary:       #1968BE !default;
$success:       $green !default;
$info:          $cyan !default;
$warning:       $orange !default;
$danger:        $red !default;
$secondary:     $gray-400 !default;

$info-outline:    #1f7e9a;
$warning-outline: #a6670e;

// Options
$enable-rounded: false !default;
$enable-responsive-font-sizes: true !default;

// Body
$body-color:    $gray-800 !default;
$card-bg: rgba(255, 255, 255, 0.98)!default;
$body-bg: #D3D2A6 !default;
$drawer-bg:	lighten($body-bg, 15%)!default;

// Fonts
$font-size-base: 0.9375rem !default;
$rfs-base-font-size: 0.9rem !default;
$headings-font-weight:   300 !default;

// Breadcrumbs
$breadcrumb-padding-y:              .25rem !default;
$breadcrumb-padding-x:              0 !default;
$breadcrumb-item-padding:           .5rem !default;
$breadcrumb-margin-bottom:          0 !default;
$breadcrumb-bg:                     transparent !default;

// Floating elements positions
$gototop-bottom-position: 50px !default;

// Alerts
$alert-border-width:                0 !default;


// REBEL variables
$navbar-bg: #2c3e41 !default;
$navbartextcolor: $white !default;
$header-bg: #d6e0e2 !default;
$headerimageheight: 600px !default;
$headerlinks-bg: $navbar-bg !default;
$headerlinks-link: $white !default;
$footer-bg: $navbar-bg !default;
$footerlinkcolor: $white !default;
$footertextcolor: $white !default;
$sidebar-bg: #555 !default;
$sidebar-iconcolor: $white !default;
$sidebar-ahover-bg: $black !default;
$sidebar-aattention: #4caf50 !default;
$sidebar-borderright-color: $white !default;
$easyenrolltextcolor: $gray-700 !default;
$easyenroll-bg: #dee9f7 !default;

// Tabs
$nav-tabs-border-color:             $gray-300 !default;
$nav-tabs-link-hover-border-color:  $gray-200 $gray-200 $nav-tabs-border-color !default;
$nav-tabs-link-active-color:        $gray-700 !default;
$nav-tabs-link-active-bg:           $gray-200 !default;
$nav-tabs-link-active-border-color: $gray-300 $gray-300 $nav-tabs-link-active-bg !default;

// Breadcrumb
$breadcrumbblock: #2f8290 !default;
$breadcrumbblock-darken: #2980b9 !default;
$breadcrumbblock-highlight: #0961ce !default;
$breadcrumbblock-highlight-darken: #16a085 !default;
$breadcrumblinkcolor: $white !default;
$breadcrumblinkcolor-hover: $black !default;

// Sidebar
$sidebar-bg: $breadcrumbblock;
$sidebar-iconcolor: $white;
$sidebar-ahover-bg: $breadcrumbblock-highlight !default;
$sidebar-aattention: #4caf50;
$sidebar-borderright-color: #F7CDB6;

// stylelint-disable
$theme-colors: () !default;
$theme-colors: map-merge((
    primary: $primary,
    secondary: $secondary,
    success: $success,
    info: $info,
    warning: $warning,
    danger: $danger,
), $theme-colors);
// stylelint-enable


// Import FontAwesome.
@import "../../boost/scss/fontawesome";

// Import All of Bootstrap
@import "../../boost/scss/bootstrap";

// Import Core moodle CSS
@import "../../boost/scss/moodle";

body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

#page {
    margin-top: 0px;
    background-color: $white;
}

.page-context-header .page-header-headings, .page-context-header .header-button-group {
    color: $black;
}

aside#block-region-side-pre section.block {
    background-color: $gray-100;
}

//remove white box for Timeline block in sidebar
aside#block-region-side-pre section.block_timeline .list-group-item {
    background-color: transparent;
}

.headerbkg {
    background-image: url([[pix:theme_rebel|grungebkg]]);
    background-size: cover;
    background-position: center;
    width: 100%;
    -webkit-mask-image: linear-gradient(to top,transparent 0%,rgba(255,255,255,.9) 50%);
    mask-image: linear-gradient(to top,transparent 0%,rgba(255,255,255,.9) 50%);
    height: $headerimageheight;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
}

// Collapsible Topics Format Styling
.format-collapsibletopics li#section-0 {
    background-color: #e3eaf5;
    padding: 1rem;
    border-top: 7px solid;
    border-radius: 4px;
}
.format-collapsibletopics div#collapse-0 {
    background-color: #fff;
    padding: 1rem;
    border-radius: 4px;
}
.format-collapsibletopics div#collapse-0 img.activityicon {
    height: 60px;
    width: 60px;
    vertical-align: middle;
}

.format-collapsibletopics div#collapse-0 li.activity {
    margin-bottom: 1rem;
}
.format-collapsibletopics div#collapse-0 li.activity:hover {
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 4px;
    padding: .25rem;
}
.format-collapsibletopics li.activity {
    padding: .25rem;
    border: 1px solid transparent;
    min-width: 100%;
}
.format-collapsibletopics li.activity:hover {
    background-color: $navbar-bg;
    border: 1px solid $gray-300;
    border-radius: 4px;
    padding: .25rem;
}
.section .activity.modtype_label.label {
    padding: .25rem;
}
.format-collapsibletopics li.activity.label:hover {
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 4px;
    padding: .25rem;
}
.format-collapsibletopics div#collapse-0 span.instancename {
    font-size: 20px;
    padding-left: .75rem;
}
.format-collapsibletopics .course-content ul li.section.main {
    padding: 1rem 0;
}